Subject: RE: [rohc] RE: Annotoations

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Mon, 4 Oct 2004 11:45:43 +0200

Hold on, I have proposed that earlier...
I understand your mail as a bit contradictive:

> Then I propose that we do specify annotations that can be used
> for verification purposes, but as a "formalized comment", i.e.

> The mechanism would then be present for us to use for verification
> tools, while still not being part of the actual notation.

How do you suggest that we specify "formalized comments" without being part of the FN?

I suggested that the ROHC-FN draft removes anything about notation and that we had a note about such annotations being used inside comments into the TCP draft, in the section where we start specifying packet formats. Is that how you suggest it???

Not that I care anymore though.

///Ghyslain

> 
> Then I propose that we do specify annotations that can be used
> for verification purposes, but as a "formalized comment", i.e.
> based on the following format:
> 
>         uncompressed_format  =   discriminator,     %[  8 ]
>                                  tcp.seq_number,    %[ 32 ]
>                                  tcp.flags.ecn,     %[  2 ]
> 
> The mechanism would then be present for us to use for verification
> tools, while still not being part of the actual notation. To me,
> this looks like a reasonable compromise, or?
> 
> /L-E
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc